Bug 141318 - The machine hangs when the screensaver starts
The machine hangs when the screensaver starts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-30 06:33 EST by Christophe Osinski
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg config file (2.86 KB, text/plain)
2004-12-06 07:29 EST, Christophe Osinski
no flags Details
/var/log/message generated during a crash (32.65 KB, text/plain)
2004-12-06 07:30 EST, Christophe Osinski
no flags Details
Xorg log file generated during a crash (39.83 KB, text/plain)
2004-12-06 07:30 EST, Christophe Osinski
no flags Details

  None (edit)
Description Christophe Osinski 2004-11-30 06:33:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.3)
Gecko/20040921

Description of problem:
When the screensaver starts the machine stops doing everything. The
mouse still moves but everything else is stoped (runing calculus,
programs, downloads, ...). It is even impossible to focus on a window
or to move it. The keyboard is blocked and it is impossible to switch
into a console mode (Ctrl-Alt-F1 for example) in order to restart the
X server.

Version-Release number of selected component (if applicable):
xorg-x11-6.7.0-10

How reproducible:
Always

Steps to Reproduce:
1. start a random screen saver or simply open the screensaver
configuration box and wait for a preview
    

Actual Results:  The machine blocks

Expected Results:  The screensaver starts and can be interrupted
moving the mouse. Then work normally.

Additional info:

Some times the same behaviour hapends when I resized a Window,
especially with evolution (version 1.4) or when the window closed when
I sent an e-mail.
Comment 1 Christophe Osinski 2004-11-30 13:22:21 EST
It seems that only some screensavers behave like that, among them:
- Euler2d
- Flow
Comment 2 Mike A. Harris 2004-12-03 13:25:50 EST
Please make sure your system is upgraded to the latest Fedora Core
rpm packages, especially xorg-x11 and the kernel.

Once you've confirmed you're running our latest updates, if the
problem still exists, please attach your X server log, config file,
and the output of /var/log/messages from after a crash.

Be sure the server log is from the crash, and not from a newly
started session, as it's overwritten each time the server starts
up.  The old log file is renamed to Xorg.0.log.old".
Comment 3 Christophe Osinski 2004-12-06 07:29:11 EST
Created attachment 107943 [details]
xorg config file
Comment 4 Christophe Osinski 2004-12-06 07:30:09 EST
Created attachment 107944 [details]
/var/log/message generated during a crash
Comment 5 Christophe Osinski 2004-12-06 07:30:57 EST
Created attachment 107945 [details]
Xorg log file generated during a crash
Comment 6 Christophe Osinski 2004-12-06 07:37:42 EST
As demanded I attached the config files and the log files generated
during a crash. I do not see anything particular in those log files.
It seems that all the system crashes and has no time to write any
ouput in the log files. It is easy to reproduce the crash by starting
a screensaver but sometimes the system crashes without any particular
manipulation...

I generated the crash with the latest kernel and the latest xorg
updates from today (6 dec 2004). I got the same behaviour on the
preceding kernel and with the preceding version of xorg.
Comment 7 Mike A. Harris 2004-12-07 04:12:17 EST
It looks to me like what is happening, is the screensaver does
a server grab, and then the screensaver crashes with an active
grab.  If this is the case, it is a screensaver bug.  To recover
from this, you can sometimes switch VT's and back by pressing
CTRL-ALT-F1 and then ALT-F7 again.  Alternatively you can try
running chvt or switchto over the network from another machine
to switch out of X and back in.

You can also configure the server to enable a couple extra
hotkeys (CTRL-ALT-* and CTRL-ALT-/) which allow you to forcibly
break a server grab, and forcibly break a grab and kill the
offending application (local only).

I'm reassigning this to our xscreensaver component.  Please
run the offending screensavers manually under strace to see
if you can invoke the problematic behaviour.  Also a gdb backtrace
would be useful (if the screensaver is actually dying).

Thanks in advance.
Comment 8 Christophe Osinski 2004-12-07 06:30:42 EST
When the machine crashes it is unpossible to switch to console mode
using CTRL-ALT-F1 or kill the X server using CTRL-ALT-Backspace
because the only thing that I can do is to move the cursor with the
mouse. The keyboard becomes inactive after a crash and the machine
becomes unreachable (as if it was off). I can reproduce the crash it I
start the screensaver euler2d but it also happened that the machine
crashed without any particular manipulation, but it is very rare and I
don't know how to reproduce it.

When the machine crashes, the only thing that I can do is to reboot
manually with the reset button :-(

I am not an expert, how can I do this?

>I'm reassigning this to our xscreensaver component.  Please
>run the offending screensavers manually under strace to see
>if you can invoke the problematic behaviour.  Also a gdb backtrace
>would be useful (if the screensaver is actually dying).
Comment 9 Ray Strode [halfline] 2005-02-14 11:41:43 EST
Hi Christophe,

If it was xscreensaver that was to blame, you wouldn't be seeing the
behavior randomly at times when the screensaver isn't active. 
Generally lock ups like this are indicative of buggy X drivers or
faulty hardware.  Most driver related problems are also related to
OpenGL, but you are seeing this with non-OpenGL screensavers and
applications, so your case is slightly different than the norm.

One possibility is your video card is broken or overheating.  How
close is your video card to other cards in your system?  It's possible
there is not enough air circulation.  Does your video card use active
cooling (a fan)?  If so, is it working?  If you have another video
card, switching them may help.  

Do you overclock your CPU? If so, do the problems presist if you reset
the clock rate to the specified rating of the processor?

If you don't overclock, it could just be that your processor isn't
being cooled correctly.  This can happen, for instance, if your fan
has a power cable blocking it from spinning, or if some dust has built
up.  Can you open your case and confirm your cpu fan is spinning fine?

I'm going to reassign this bug back to xorg-x11 because it sounds like
a problem more general than xscreensaver, and it may be a X issue.

Even if there is a stuck grab, ctrl-alt-backspace should work, so I
don't think that is your problem.
Comment 10 Matthew Miller 2005-04-26 12:07:52 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 11 Ray Strode [halfline] 2005-05-11 17:33:20 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.